<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="cms" uri="http://www.opencms.org/taglib/cms" %>

<c:set var="filepath" value="${cms.navigationSource}" />

<div class="left">
	<c:forEach var="navElem" items="${cms.navigationLevels[2]}">
		<c:if test="${fn:startsWith(filepath, navElem.resourceName)}">
			<div class="titleSide">
				<a href="${cms.link[navElem.resourceName]}" class="active">${navElem.navText}</a>
			</div>
			<c:if test="${fn:length(cms.navigationLevels[3]) > 0}">
				<ul>
					<c:forEach var="navElem" items="${cms.navigationLevels[3]}">
						<c:if test="${fn:startsWith(filepath, navElem.resourceName)}">
							<li class="active"><a href="${cms.link[navElem.resourceName]}" >${navElem.navText}</a></li>
						</c:if>
						<c:if test="${!fn:startsWith(filepath, navElem.resourceName)}">
							<li><a href="${cms.link[navElem.resourceName]}">${navElem.navText}</a></li>
						</c:if>
					</c:forEach>
				</ul>
			</c:if>
		</c:if>
		<c:if test="${!fn:startsWith(filepath, navElem.resourceName)}">
			<div class="titleSide">
				<a href="${cms.link[navElem.resourceName]}">${navElem.navText}</a>
			</div>
		</c:if>
	</c:forEach>
<%-- Example with dots

	<div class="titleSide">
		My Basket
	</div>
	<ul class="dotted">
		<li><a href="http://google.com/search?q=USB+Disk">2 x USB 128Mb Disk</a></li>
		<li><a href="http://google.com/search?q=ASUS+Motherboard">1 x Asus KT7200D Motherboard</a></li>
		<li><a href="http://google.com/search?q=ATI+Radeon">1 x Radeon 9800</a></li>
		<li><a href="http://google.com/search?q=SATA+Hard+Disk">2 x IBM SATA 160Gb</a></li>
		<li><a href="http://google.com/search?q=Hard+Drive">7200Rpm Harddisk</a></li>
	</ul>
--%>
</div>
