<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="cms" uri="http://www.opencms.org/taglib/cms" %>

<div class="breadcrumb">
	<c:set var="counter" value="0" />
	<c:forEach var="navElem" items="${cms.navigationBreadCrumb}">
		<c:if test="${counter > 0}">&gt;</c:if>
		<c:if test="${!fn:startsWith(navElem.navText, '??')}">
			<a href="${cms.link[navElem.resourceName]}">${navElem.navText}</a>
			<c:set var="counter" value="${counter+1}" />
		</c:if>
	</c:forEach>
	<c:if test="${!fn:startsWith(cms.navigation.navigationForResource.navText, '??')}">
		<c:if test="${counter > 0}">&gt;</c:if>
		<a href="${cms.link[cms.navigation.navigationForResource.resourceName]}">${cms.navigation.navigationForResource.navText}</a>
	</c:if>
</div>
