<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="cms" uri="http://www.opencms.org/taglib/cms" %>

<c:set var="filepath" value="${cms.navigationSource}" />


<div class="sub">
	<c:forEach var="navElem" items="${cms.navigationLevels[1]}" varStatus="status">
		<c:if test="${fn:startsWith(filepath, navElem.resourceName)}">
			<a href="${cms.link[navElem.resourceName]}" class="active">${navElem.navText}</a>
		</c:if>
		<c:if test="${!fn:startsWith(filepath, navElem.resourceName)}">
			<a href="${cms.link[navElem.resourceName]}">${navElem.navText}</a>
		</c:if>
	</c:forEach>
</div>